SystemOrganization addCategory: #'EjerciciosPoo-TusLibros'!

TestCase subclass: #TusLibrosTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EjerciciosPoo-TusLibros'!

!TusLibrosTest methodsFor: 'as yet unclassified' stamp: 'AgustinMosteiro 5/27/2013 21:25'!
test01CartShouldBeEmptyAfterCreation

	| cart |
	
	cart := Cart new.
	self assert: cart isEmpty! !

!TusLibrosTest methodsFor: 'as yet unclassified' stamp: 'AgustinMosteiro 5/27/2013 21:32'!
test02CartShouldNotBeEmptyAfterAddingABook

	| cart book |
	
	cart := Cart new.
	book := Book new.
	cart add: book.
	
	self deny: cart isEmpty! !

!TusLibrosTest methodsFor: 'as yet unclassified' stamp: 'AgustinMosteiro 5/27/2013 21:56'!
test03CartShouldNotAllowToAddABookWhichIsNotFromThePublisher

	| cart book |
	
	cart := Cart new.
	book := Book new.
	
	self should: [ cart add: book ] raise: Error! !

Object subclass: #Book
	instanceVariableNames: 'isFromThePublisher'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EjerciciosPoo-TusLibros'!

Object subclass: #Cart
	instanceVariableNames: 'books'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'EjerciciosPoo-TusLibros'!

!Cart methodsFor: 'as yet unclassified' stamp: 'AgustinMosteiro 5/27/2013 21:27'!
add: aBook

	books add: aBook! !

!Cart methodsFor: 'as yet unclassified' stamp: 'AgustinMosteiro 5/27/2013 21:29'!
initialize

	books := Bag new! !

!Cart methodsFor: 'as yet unclassified' stamp: 'AgustinMosteiro 5/27/2013 21:30'!
isEmpty

	^books isEmpty! !
